Subject: Re: bug#47262: [platform-testers] Emacs 27.2 RC2

From: Michael Albinus <[email-masked]>
Date: Sat, 20 Mar 2021 10:04:42 +0100

Dagobert Michelsen <[email-masked]> writes:

Hi Dago,

> I have a couple of test failures with Solaris 10 Sparc and Sun Studio:

Thanks a lot!

>   lisp/filenotify-tests.log

These errors are only in the filenotify-tests.el. There's no reason to
stop Emacs 27.2 because of this.

Running 8 tests (2021-03-19 11:06:22+0100, selector `(not (or (tag :expensive-test) (tag :unstable)))')
Library: `gfilenotify'
Monitor: `GFamDirectoryMonitor'

Wow! I know that the GFamDirectoryMonitor exists (it is in the gio
sources), but I couldn't test it ever. Solaris.

Could you pls apply the appended patch to filenotify-tests.el and show
the changed filenotify-tests.log file? Many thanks in advance (and be
prepared, I will exploit you iteratively until all tests pass. If you
agree :-)

> Best regards
>   — Dago

Best regards, Michael.

*** /tmp/ediffGmYi43	2021-03-20 09:57:10.563305971 +0100
--- /home/albinus/src/emacs-27/test/lisp/filenotify-tests.el	2021-03-20 09:55:13.121660549 +0100
***************
*** 109,115 ****
      ;; at least on Cygwin.
      ((and (string-equal (file-notify--test-library) "gfilenotify")
            (memq (file-notify--test-monitor)
!                 '(GFamFileMonitor GPollFileMonitor)))
       7)
      ((string-equal (file-notify--test-library) "gvfs-monitor-dir.exe") 1)
      ((file-remote-p temporary-file-directory) 0.1)
--- 109,115 ----
      ;; at least on Cygwin.
      ((and (string-equal (file-notify--test-library) "gfilenotify")
            (memq (file-notify--test-monitor)
!                 '(GFamFileMonitor GFamDirectoryMonitor GPollFileMonitor)))
       7)
      ((string-equal (file-notify--test-library) "gvfs-monitor-dir.exe") 1)
      ((file-remote-p temporary-file-directory) 0.1)
***************
*** 1021,1026 ****
--- 1021,1029 ----
  	     ((string-equal (file-notify--test-library) "gvfs-monitor-dir.exe")
  	      '((deleted stopped)
  		(changed deleted stopped)))
+ 	     ;; GFamDirectoryMonitor does not report the `changed' event.
+ 	     ((equal (file-notify--test-monitor) 'GFamDirectoryMonitor)
+ 	      '(deleted stopped))
  	     ;; There could be one or two `changed' events.
  	     (t '((changed deleted stopped)
  		  (changed changed deleted stopped))))
***************
*** 1286,1291 ****
--- 1289,1297 ----
               ;; On cygwin we only get the `changed' event.
               ((eq system-type 'cygwin)
                '(changed))
+ 	     ;; GFamDirectoryMonitor reports only the `changed' event.
+ 	     ((equal (file-notify--test-monitor) 'GFamDirectoryMonitor)
+ 	      '(changed))
               (t '(renamed created changed)))
            ;; The file is renamed when creating a backup.  It shall
            ;; still be watched.